*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100vh;
    background-color: black;
    color: white;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

section {
    width: 100vw;
    height: 33vh;
    padding: 3rem;
    animation: threedshadow 3s ease-in-out infinite;
    /* box-shadow: 0px 6px 12px 0px deepskyblue, 0px 10px 20px 0px deeppink; */
}

@keyframes threedshadow {
    0%, 100% {
        box-shadow: 10px 1px 0px 0px deepskyblue, -10px -1px 0px 0px deeppink;
    }
    50% {
        box-shadow: -10px 5px 5px 0px deepskyblue, 10px -5px 5px 0px deeppink;
    }
}

p {
    font-size: 1.5rem;
}

a {
    text-decoration: none;
    font-size: 2rem;
}

.button {
    -webkit-text-stroke: 0px transparent;
    filter: drop-shadow(0px 0px 0px transparent);
}

#first-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#name {
    text-align: center;
    font-size: 12vw;
    color: transparent;
    -webkit-text-stroke: 2px deepskyblue;
    filter: drop-shadow(3px 3px 0px deeppink);
    margin-bottom: 1rem;
    transition: all 0.2s ease-in-out;
}

#name:hover {
    transform: translate(-9px,-9px);
    filter: drop-shadow(21px 21px 0px deeppink);
    transition: all 0.2s ease-in-out;
}

h3 {
    font-weight: 200;
}

#first-content p {
    margin-top: 3rem;
    font-size: 1rem;
    font-weight: 300;
    text-align: center;
    max-width: 600px;
}

#first-contact {
    display: flex;
    justify-content: center;
    align-items: center;
}

#contact-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    padding: 2rem;
}

#call-box a {
    color: deepskyblue;
    transition: all 0.2s ease-in-out;
}

#text-box a{
    color: deeppink;
    transition: all 0.2s ease-in-out;
}

#second-content {
    display: flex;
    justify-content: center;
    align-items: center;
    letter-spacing: 0.5rem;
}

#second-content span {
    /* animation: threed 1s infinite; */
    display: inline-block;
    color: transparent;
}

#dot-one {
    animation: threed 1s infinite;
}

#dot-two {
    animation: threed 1s infinite;
    animation-delay: 0.2s;
}

#dot-three {
    animation: threed 1s infinite;
    animation-delay: 0.4s;
}

@keyframes threed {
    0%, 100% {
        -webkit-text-stroke: 0px inherit;
        filter: drop-shadow(0px 0px 0px inherit);
        transform: translate(0px, 0px) scale(1);
    }
    50% {
        -webkit-text-stroke: 2px deepskyblue;
        filter: drop-shadow(3px 3px 0px deeppink);
        transform: translate(3px, -3px) scale(1.2);
    }
}
/* .button:hover {
    color: transparent;
    -webkit-text-stroke: 2px deepskyblue;
    filter: drop-shadow(3px 3px 0px deeppink);
    transition: all 0.2s ease-in-out;
} */

#call-box a:hover {
    color: transparent;
    -webkit-text-stroke: 2px deepskyblue;
    filter: drop-shadow(3px 3px 0px deeppink);
    transition: all 0.2s ease-in-out;
}

#text-box a:hover {
    color: transparent;
    -webkit-text-stroke: 2px deeppink;
    filter: drop-shadow(3px 3px 0px deepskyblue);
    transition: all 0.2s ease-in-out;
}

@media screen and (min-width: 768px) {
    section {
        height: unset;
    }

    #name {
        font-size: 15rem;
        -webkit-text-stroke: 3px deepskyblue;
        filter: drop-shadow(6px 6px 0px deeppink);
        margin-bottom: 3rem;
    }

    h3 {
        font-size: 2rem;
        letter-spacing: 0.2rem;
    }

    #contact-container a {
        font-size: 3rem;
    }
}